Subject: Re: [PATCH v2 6/9] update-ref: handle rejections while adding updates

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 23 Apr 2026 10:52:26 +0200

On Thu, Apr 23, 2026 at 10:40:35AM +0200, Karthik Nayak wrote:
> When using git-update-ref(1) with the '--batch-updates' flag, updates
> rejected by the reference backend are displayed to the user while other
> updates are applied. This only applies during the commit phase of the
> transaction.
> 
> In the following commits, we'll also extend `ref_transaction_update()`
> to reject updates before a transaction is prepared/committed. In
> preparation, modify the code in update-ref to also handle non-generic
> rejections from `ref_transaction_update()`. This involves propagating
> information to each of the commands on whether updates are allowed to be
> rejected, and also checking for rejections and only dying for generic
> failures.

I noticed that you didn't address my feedback on the changed ordering of
errors I posted on the preceding version. Was this intentional?

Patrick